cancel
Showing results for 
Search instead for 
Did you mean: 

404 Error in Installing Composable Storefront Libraries from RBSC

matteo_pasquini
Explorer
0 Kudos

As explained here

https://help.sap.com/docs/SAP_COMMERCE_COMPOSABLE_STOREFRONT/cfcf687ce2544bba9799aa6c8314ecd0/5de678...

I created a technical user and I created an .npmrc file in the root folder of the project. But when I try to execute

ng add @spartacus/schematics@6.4.0

I receive this error:

Unable to fetch package information for '@spartacus/schematics@6.4.0': 404 Not Found - GET https://73554900100900007551.npmsrv.base.repositories.cloud.sap/@spartacus%2fschematics - Package '@spartacus/schematics' not found

How can we solve the problem?

Accepted Solutions (1)

Accepted Solutions (1)

matteo_pasquini
Explorer
0 Kudos

We solved the problem, it was related to user permissions. Using npm Base 64 Credentials generated from a user with proper permissions it works.

Answers (1)

Answers (1)

viktor_rudomyotkin
Participant
0 Kudos

The template for the .npmrc from the documentation link you shared looks like following:

@spartacus:registry=https://73554900100900004337.npmsrv.base.repositories.cloud.sap/
//73554900100900004337.npmsrv.base.repositories.cloud.sap/:_auth=<npmcredentialsfromrbsc>
always-auth=true
If you look at the URL in the above template, it looks different to the one from your post. Perhaps, just use the above template and add your credentials to it?